## cascading.provider
Interface CascadingService

All Known Subinterfaces:
  DocumentService, MetricsService

All Known Implementing Classes:
  BaseState, CascadingServices.NullDocumentService, CascadingServices.NullMetricsService, ClientState

    public interface CascadingService

Interface CascadingService defines a pluggable "service" class that can be loaded by the `ServiceLoader` utility.

See Also:
  `ServiceLoader`

Method Summary
`boolean` `isEnabled()` Returns true if this service has been enabled.
`void` `setProperties(Map<Object,Object> properties)`
`void` `startService()` May be called more than once, but only the first invocation will start the service.
`void` `stopService()` May be called more than once, but only the first invocation will stop the service.

Method Detail

### setProperties

    void setProperties(Map<Object,Object> properties)

### startService

    void startService()

  May be called more than once, but only the first invocation will start the service.

### stopService

    void stopService()

  May be called more than once, but only the first invocation will stop the service.

### isEnabled

    boolean isEnabled()

  Returns true if this service has been enabled.

  Returns:
    boolean

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.